> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Product

> ## Delete a Product ##

<p>
Marks the specified Product for delete. The behaviour of this API method depends on the current state of the
Product's ProductsDetails. In some cases it will not be deleted straight away, but a request for the
Product to be deleted will be lodged with the Website Travel product management team.
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json delete /{supplierapi}/product/{productId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}:
    delete:
      tags:
        - Version 1
        - Products
      summary: Delete a Product
      description: >-
        ## Delete a Product ##


        <p>

        Marks the specified Product for delete. The behaviour of this API method
        depends on the current state of the

        Product's ProductsDetails. In some cases it will not be deleted straight
        away, but a request for the

        Product to be deleted will be lodged with the Website Travel product
        management team.

        </p>
      operationId: deleteProductAction
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: productId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      requestBody:
        description: Reason for deleting the product
        required: true
        content:
          application/json:
            schema:
              required:
                - reason
              properties:
                reason:
                  type: string
              type: object
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when no matching record is found.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.